Package org.eclipse.wst.xsl.ui.internal.contentassist

## org.eclipse.wst.xsl.ui.internal.contentassist
Class XPathElementContentAssist

    public class XPathElementContentAssist
    extends org.eclipse.wst.xsl.ui.provisional.contentassist.AbstractXMLElementContentAssistRequest

This class provides XML Element proposals within XPath related items like select, test, and match attributes. This will leverage an ContentModel that has been loaded and try to provide all available XML elements that could be used. It should be enhanced to know the elements to be used based on information from the XPath.

## Constructor Summary

`XPathElementContentAssist(org.w3c.dom.Node node , IStructuredDocumentRegion documentRegion , ITextRegion completionRegion , int begin , int length , java.lang.String filter , ITextViewer textViewer)`

## Method Summary

`public java.util.ArrayList` | `getCompletionProposals()` Provides a list of possible proposals for the XML Elements within the current scope. This leverages the ContentModel that was loaded by the XML Catalog, Custom Resolver, or the inferred grammar.

## Constructor Detail

## XPathElementContentAssist

`public XPathElementContentAssist(org.w3c.dom.Node node , IStructuredDocumentRegion documentRegion , ITextRegion completionRegion , int begin , int length , java.lang.String filter , ITextViewer textViewer)`

## Methods Detail

## getCompletionProposals

`public java.util.ArrayList getCompletionProposals()`

Provides a list of possible proposals for the XML Elements within the current scope. This leverages the ContentModel that was loaded by the XML Catalog, Custom Resolver, or the inferred grammar.

### Returns

`java.util.ArrayList`